echo "starting pre-processing"
bash pre-process.sh

# start dstat before shadow, kill it after
dstat -cmstTy --fs --output dstat.log > /dev/null &
dstat_pid=$!

date > free.log
free -w -b -l -s 1 >> free.log &
free_pid=$!

echo "starting shadow"
shadow -w 70 --tcp-congestion-control=reno shadow.config.xml | xz -T 5 > shadow.log.xz

kill ${free_pid}
kill ${dstat_pid}
date >> free.log

echo "starting post-processing"
bash post-process.sh
